Bug 215576 - mail/phpmailer: Update to 5.2.18
Summary: mail/phpmailer: Update to 5.2.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Torsten Zuehlsdorff
URL: http://legalhackers.com/advisories/PH...
Keywords: needs-qa, patch, security
Depends on:
Blocks:
 
Reported: 2016-12-26 12:09 UTC by Bernard Spil
Modified: 2017-01-03 12:27 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (tz)
brnrd: maintainer-feedback?
amdmi3: merge-quarterly?


Attachments
svn diff for mail/phpmailer (3.44 KB, patch)
2016-12-26 12:09 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2016-12-26 12:09:10 UTC
Created attachment 178286 [details]
svn diff for mail/phpmailer

mail/phpmailer: Update to 5.2.18

  - Update to 5.2.18
  - Adjust pkg-plist for new release
  - Remove LICENSE install from DOCS option
  - Fix Remote Code Execution vulnerability

Submitted by: brnrd
Security: CVE-2016-10033
Security: c7656d4c-cb60-11e6-a9a5-b499baebfeaf
Comment 1 Dmitry Marakasov freebsd_committer 2016-12-26 12:53:38 UTC
Approved with ports-secteam hat, also please MFH.
Comment 2 commit-hook freebsd_committer 2016-12-26 12:55:54 UTC
A commit references this bug:

Author: brnrd
Date: Mon Dec 26 12:55:21 UTC 2016
New revision: 429507
URL: https://svnweb.freebsd.org/changeset/ports/429507

Log:
  mail/phpmailer: Update to 5.2.18

    - Update to 5.2.18
    - Adjust pkg-plist for new release
    - Remove LICENSE install from DOCS option
    - Fix Remote Code Execution vulnerability

  PR:		215576
  Approved by:	ports-secteam (amdmi3)
  MFH:		2016Q4
  Security:	CVE-2016-10033
  Security:	c7656d4c-cb60-11e6-a9a5-b499baebfeaf

Changes:
  head/mail/phpmailer/Makefile
  head/mail/phpmailer/distinfo
  head/mail/phpmailer/pkg-plist
Comment 3 commit-hook freebsd_committer 2016-12-26 12:57:59 UTC
A commit references this bug:

Author: brnrd
Date: Mon Dec 26 12:57:04 UTC 2016
New revision: 429509
URL: https://svnweb.freebsd.org/changeset/ports/429509

Log:
  MFH: r429507

  mail/phpmailer: Update to 5.2.18

    - Update to 5.2.18
    - Adjust pkg-plist for new release
    - Remove LICENSE install from DOCS option
    - Fix Remote Code Execution vulnerability

  PR:		215576
  Approved by:	ports-secteam (amdmi3)
  Security:	CVE-2016-10033
  Security:	c7656d4c-cb60-11e6-a9a5-b499baebfeaf

  Approved by:	ports-secteam (amdmi3)

Changes:
_U  branches/2016Q4/
  branches/2016Q4/mail/phpmailer/Makefile
  branches/2016Q4/mail/phpmailer/distinfo
  branches/2016Q4/mail/phpmailer/pkg-plist
Comment 4 Torsten Zuehlsdorff freebsd_committer 2017-01-03 12:27:43 UTC
Thanks for taking care of this. Since its already committed, i'm closing the PR as fixed.